## ippusbxd 1.21.2

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(ippusbxd)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -o2 -std=c99 -Wall -Wextra -pedantic -pedantic-errors")


# Compiler specific configuration
if (${CMAKE_C_COMPILER_ID} STREQUAL "GNU") 
    # Nothing
elseif( ${CMAKE_C_COMPILER_ID} STREQUAL "Clang") 
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Weverything -Wno-documentation -Wno-padded")
    # Compiler cannot detect that our logging functions really do use string
    # literals. So be careful to never-ever call printf with a user provided
    # format string since you will not get a warning. Coverity is smart enough
    # on this matter.
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format-nonliteral")
endif()

# Pthreads
find_package(Threads REQUIRED)

# Libusb
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
find_package(LIBUSB REQUIRED)
include_directories(${LIBUSB_INCLUDE_DIR})


add_executable(ippusbxd
ippusbxd.c
http.c
tcp.c
usb.c
logging.c
options.c
)
target_link_libraries(ippusbxd ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(ippusbxd ${LIBUSB_LIBRARIES})

=== debian/changelog ===
ippusbxd (1.21.2-1) unstable; urgency=medium

  * Initial release. (Closes: #773356)

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Feb 2015 11:01:47 +0100

=== debian/control ===
Source: ippusbxd
Section: comm
Priority: extra
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 libusb-1.0-0-dev,
 cmake,
 pkg-config,
 dh-apparmor,
Standards-Version: 3.9.6
Homepage: https://github.com/daniel-dressler/ippusbxd
Vcs-Git: https://anonscm.debian.org/git/printing/ippusbxd.git
Vcs-Browser: http://anonscm.debian.org/cgit/printing/ippusbxd.git

Package: ippusbxd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: cups-filters-ippusbxd
Conflicts: cups-filters-ippusbxd
Provides: cups-filters-ippusbxd
Recommends: system-config-printer-udev
Enhances: cups
Description: Daemon for IPP USB printer support
 ippusbxd is a userland driver for USB devices supporting the IPP USB
 specification. It enables these USB printers to be seen as regular
 network IPP printers.

## ippusbxd 1.23

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(ippusbxd)
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -o2 -std=c99 -Wall -Wextra -pedantic -pedantic-errors")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -o2 -g -std=c99 -Wall -Wextra -pedantic -pedantic-errors")
 
 
 # Compiler specific configuration

=== debian/changelog ===
ippusbxd (1.23-1) unstable; urgency=medium

  * New 1.23 upstream release
    - ippusbxd now actually terminates when disconnecting the printer.
    - The content of the communication between printer and client is now
      logged as hex dump.

 -- Didier Raboud <odyx@debian.org>  Sat, 19 Sep 2015 14:09:47 +0200

ippusbxd (1.22-1) unstable; urgency=medium

  * New 1.22 upstream release
    - SECURITY FIX: Actually restrict the access to the printer to localhost
      (Closes: #795162, LP: #1455644)

  * Drop the aquire→acquire typo patch, merged upstream
  * Add gbp.conf
  * Update Vcs-Browser to use the https variant

 -- Didier Raboud <odyx@debian.org>  Thu, 13 Aug 2015 09:07:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/daniel-dressler/ippusbxd
 Vcs-Git: https://anonscm.debian.org/git/printing/ippusbxd.git
-Vcs-Browser: http://anonscm.debian.org/cgit/printing/ippusbxd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/printing/ippusbxd.git
 
 Package: ippusbxd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export VERBOSE=1
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_install:
	dh_install
	dh_apparmor -pippusbxd --profile-name=usr.sbin.ippusbxd

## ippusbxd 1.31

=== debian/changelog ===
ippusbxd (1.31-0ubuntu1) artful; urgency=medium

  * New upstream bug fix release
    - Added missing 'TAG+="systemd"' to the UDV rules file
    - Added support for the page description language PCLm in the DNS-SD record

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 06 Oct 2017 15:39:46 -0300

ippusbxd (1.30-2) unstable; urgency=low

  * Migrate 1.30 to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 17:41:02 +0200

ippusbxd (1.30-1) experimental; urgency=low

  * New 1.30 upstream release
  * Bump S-V to 3.9.8 without changes needed
  * ippusbxd manpage moved to section 8
  * Install the udev rules, and put the systemd services in examples
  * Add libavahi-{client,common}-dev as B-D

 -- Didier Raboud <odyx@debian.org>  Tue, 02 May 2017 10:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
  libusb-1.0-0-dev,
+ libavahi-common-dev,
+ libavahi-client-dev,
  cmake,
  pkg-config,
  dh-apparmor,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/daniel-dressler/ippusbxd
 Vcs-Git: https://anonscm.debian.org/git/printing/ippusbxd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/printing/ippusbxd.git

## ippusbxd 1.32

=== debian/changelog ===
ippusbxd (1.32-2) unstable; urgency=medium

  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 16:14:16 +0100

ippusbxd (1.32-1) unstable; urgency=medium

  * New 1.32 upstream release
  * Set Priority to optional as extra is deprecated
  * Bump S-V to 4.1.3 without other changes needed
  * Set hardening=+all through DEB_BUILD_MAINT_OPTIONS

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Jan 2018 07:40:07 +0100

ippusbxd (1.31-1) unstable; urgency=medium

  * New 1.31 upstream release
  * Bump S-V to 4.1.1 without changes needed
  * Update homepage URL to point to the new OpenPrinting GitHub repository

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Oct 2017 09:25:04 +0200

=== debian/control ===
Source: ippusbxd
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: comm
Priority: optional
Build-Depends: debhelper (>= 9),
               libusb-1.0-0-dev,
               libavahi-common-dev,
               libavahi-client-dev,
               cmake,
               pkg-config,
               dh-apparmor
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/printing-team/ippusbxd
Vcs-Git: https://salsa.debian.org/printing-team/ippusbxd.git
Homepage: https://github.com/OpenPrinting/ippusbxd

Package: ippusbxd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: system-config-printer-udev
Enhances: cups
Pre-Depends: ${misc:Pre-Depends}
Conflicts: cups-filters-ippusbxd
Provides: cups-filters-ippusbxd
Replaces: cups-filters-ippusbxd
Description: Daemon for IPP USB printer support
 ippusbxd is a userland driver for USB devices supporting the IPP USB
 specification. It enables these USB printers to be seen as regular
 network IPP printers.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ippusbxd-$1\.tar\.gz/ \
  https://github.com/daniel-dressler/ippusbxd/tags .*/v?(\d\S*)\.tar\.gz

## ippusbxd 1.33

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,16 @@
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format-nonliteral")
 endif()
 
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
+
 # Pthreads
 find_package(Threads REQUIRED)
 
+# Avahi
+find_package(AVAHICOMMON REQUIRED)
+find_package(AVAHICLIENT REQUIRED)
+
 # Libusb
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
 find_package(LIBUSB REQUIRED)
 include_directories(${LIBUSB_INCLUDE_DIR})
 
@@ -31,7 +36,10 @@
 usb.c
 logging.c
 options.c
+dnssd.c
 )
 target_link_libraries(ippusbxd ${CMAKE_THREAD_LIBS_INIT})
 target_link_libraries(ippusbxd ${LIBUSB_LIBRARIES})
+target_link_libraries(ippusbxd ${AVAHICOMMON_LIBRARIES})
+target_link_libraries(ippusbxd ${AVAHICLIENT_LIBRARIES})

=== debian/changelog ===
ippusbxd (1.33-2) unstable; urgency=medium

  * Use secure copyright file specification URI
  * Bump debhelper from old 9 to 12
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit
  * Fix upstream url in d/watch
  * Bump Standards-Version to 4.5.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 31 Jan 2020 16:40:28 +0100

ippusbxd (1.33-1) unstable; urgency=medium

  * New 1.33 upstream release
  * Bump S-V to 4.1.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Jul 2018 08:23:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Didier Raboud <odyx@debian.org>
 Section: comm
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libusb-1.0-0-dev,
                libavahi-common-dev,
                libavahi-client-dev,
                cmake,
                pkg-config,
                dh-apparmor
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/printing-team/ippusbxd
 Vcs-Git: https://salsa.debian.org/printing-team/ippusbxd.git
 Homepage: https://github.com/OpenPrinting/ippusbxd

## ippusbxd 1.34

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,17 @@
 find_package(LIBUSB REQUIRED)
 include_directories(${LIBUSB_INCLUDE_DIR})
 
+# Libxml-2.0
+find_package(LibXml2 REQUIRED)
+set(LIBXML2_LIBRARIES ${LIBXML2_LIBRARY})
+include_directories(${LIBXML2_INCLUDE_DIR})
+unset(LIBXML2_LIBRARY)
+
+find_package(LibXml2 REQUIRED)
+
+
+# Libcups
+find_package(Cups REQUIRED)
 
 add_executable(ippusbxd
 ippusbxd.c
@@ -37,9 +48,12 @@
 logging.c
 options.c
 dnssd.c
+capabilities.c
 )
 target_link_libraries(ippusbxd ${CMAKE_THREAD_LIBS_INIT})
 target_link_libraries(ippusbxd ${LIBUSB_LIBRARIES})
 target_link_libraries(ippusbxd ${AVAHICOMMON_LIBRARIES})
 target_link_libraries(ippusbxd ${AVAHICLIENT_LIBRARIES})
+target_link_libraries(ippusbxd ${LIBXML2_LIBRARIES})
+target_link_libraries(ippusbxd ${CUPS_LIBRARIES})

=== debian/changelog ===
ippusbxd (1.34-2ubuntu1) focal; urgency=medium

  * Install the systemd service file so that ippusbxd gets automatically
    started when a printer is connected, without need of
    system-config-printer-udev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 21 Feb 2020 16:50:12 +0100

ippusbxd (1.34-2) unstable; urgency=medium

  * Add missing libxml2-dev and libcups2-dev B-D

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Feb 2020 18:58:16 +0100

ippusbxd (1.34-1) unstable; urgency=medium

  * New 1.34 upstream release
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Feb 2020 17:54:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                libusb-1.0-0-dev,
                libavahi-common-dev,
                libavahi-client-dev,
+               libcups2-dev,
+               libxml2-dev,
                cmake,
                pkg-config,
                dh-apparmor

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export VERBOSE=1
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ippusbxd-$1\.tar\.gz/ \
  https://github.com/OpenPrinting/ippusbxd/tags .*/v?(\d\S*)\.tar\.gz
